!*************************************
!***Components of Long&Short Output***
!*************************************
	SUBROUTINE PRINTSHEADER(BTOP)
	USE WINTERACTER
	USE SHAREDVARS
	USE RESOURCE
	CHARACTER*10 DATE,TIME
	REAL BTOP,BWID,BHGT
	INTEGER NCHAR
	BTOP=10.0
!Define Graphics Area and Units for Footnotes; Outline Area
	BWID=6.5
	BHGT=0.3
	CALL IGrArea(0.0,0.0,BWID/6.5,BHGT/10.0)
	CALL IGrUnits(0.,0.,1.,1.)
	CALL IGrLineWidth(1,10)
	CALL IGrBorder()
!Define Character Size for Footnotes
	CALL WGrTextOptions(GrTextRatio,RatioHeight)
	CALL WGrTextFont(FFHelvetica,HEIGHT=0.12/BHGT)
!Right Footnote - Analysis Name
	CALL WGrTextOrientation(AlignRight)
	CALL WGrTextString(0.98,0.5,"TRAP Survival  July 2025  Beta+ Version")
!Left Footnote - Date/Time
	CALL DATE_AND_TIME(DATE,TIME)
	CALL WGrTextOrientation(AlignLeft)
	CALL WGrTextString(0.02,0.5,"Run Date:  "//DATE(5:6)//"/"//DATE(7:8)//"/"//DATE(1:4)//"  "//TIME(1:2)//":"//TIME(3:4))
!Define Graphics Area and Units for Header; Outline Area 
	BWID=6.5
	BHGT=0.5
	CALL IGrArea(0.0,(BTOP-BHGT)/10.0,BWID/6.5,BTOP/10.0)
	CALL IGrUnits(0.,0.,1.,1.)
	CALL IGrLineWidth(1,10)
	CALL IGrBorder()
!Read Desired Header; Define Font; Send to Output
	NCHAR=LEN_TRIM(HEADERSTRING)
	CALL WGrTextFont(FFHelvetica,ISTYLE=FSBold,HEIGHT=0.2/BHGT)
	CALL WGrTextOrientation(AlignCentre)
	CALL WGrTextString(0.5,0.5,HEADERSTRING(1:NCHAR))
!Update BTOP for Next Output Section
	BTOP=BTOP-BHGT-0.2
	RETURN
	END SUBROUTINE PRINTSHEADER
